Python (SDK)
from datetime import date
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.alternative_data.get_usa_spending(symbol="AAPL", from_=date.fromisoformat("2024-01-01"), to=date.fromisoformat("2024-12-31"))
assert res.usa_spending_response is not None
# Handle response
print(res.usa_spending_response)curl --request GET \
--url https://api.aries.com/v1/stock/usa-spending \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/usa-spending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/usa-spending",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/usa-spending"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/usa-spending")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/usa-spending")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"actionDate": "2021-11-12",
"awardDescription": "MACBOOK PRO",
"awardingAgencyName": "SMITHSONIAN INSTITUTION (SI)",
"awardingOfficeName": "SMITHSONIAN ASTROPHYSICAL OBSERVATORY",
"awardingSubAgencyName": "SMITHSONIAN INSTITUTION",
"country": "USA",
"naicsCode": "334111",
"performanceCity": "CUPERTINO",
"performanceCongressionalDistrict": "17",
"performanceCountry": "USA",
"performanceCounty": "SANTA CLARA",
"performanceEndDate": "2021-12-10",
"performanceStartDate": "2021-11-12",
"performanceState": "CALIFORNIA",
"performanceZipCode": "950140642",
"permalink": "https://www.usaspending.gov/award/CONT_AWD_33131222P00465925_3300_-NONE-_-NONE-/",
"recipientName": "APPLE INC.",
"recipientParentName": "APPLE INC.",
"symbol": "AAPL",
"totalValue": 4238
}
],
"symbol": "AAPL"
}Stock Alternative
USA Spending
Retrieve government spending (USASpending) for public companies. Filter by symbol and date range (actionDate). Only recent data is available via the API.
Use Case: Identify companies that win government contracts for defense, aerospace, or education research.
GET
/
v1
/
stock
/
usa-spending
Python (SDK)
from datetime import date
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.alternative_data.get_usa_spending(symbol="AAPL", from_=date.fromisoformat("2024-01-01"), to=date.fromisoformat("2024-12-31"))
assert res.usa_spending_response is not None
# Handle response
print(res.usa_spending_response)curl --request GET \
--url https://api.aries.com/v1/stock/usa-spending \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/usa-spending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/usa-spending",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/usa-spending"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/usa-spending")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/usa-spending")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"actionDate": "2021-11-12",
"awardDescription": "MACBOOK PRO",
"awardingAgencyName": "SMITHSONIAN INSTITUTION (SI)",
"awardingOfficeName": "SMITHSONIAN ASTROPHYSICAL OBSERVATORY",
"awardingSubAgencyName": "SMITHSONIAN INSTITUTION",
"country": "USA",
"naicsCode": "334111",
"performanceCity": "CUPERTINO",
"performanceCongressionalDistrict": "17",
"performanceCountry": "USA",
"performanceCounty": "SANTA CLARA",
"performanceEndDate": "2021-12-10",
"performanceStartDate": "2021-11-12",
"performanceState": "CALIFORNIA",
"performanceZipCode": "950140642",
"permalink": "https://www.usaspending.gov/award/CONT_AWD_33131222P00465925_3300_-NONE-_-NONE-/",
"recipientName": "APPLE INC.",
"recipientParentName": "APPLE INC.",
"symbol": "AAPL",
"totalValue": 4238
}
],
"symbol": "AAPL"
}Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | Stock ticker symbol (e.g. LMT, BA). |
from | string | Yes | From date YYYY-MM-DD (filter actionDate). |
to | string | Yes | To date YYYY-MM-DD (filter actionDate). |
Response
Success returns200 OK with a JSON object containing a data array of spending records (e.g. symbol, recipientName, totalValue, actionDate, awardingAgencyName, awardDescription, permalink), and symbol.
Errors: 400 when symbol or dates are missing, 401 unauthorized, 404 when no data found, 500 server error.Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Stock ticker to query. Send the plain uppercase symbol exactly as you'd type it on a brokerage screen, e.g. AAPL, MSFT.
Example:
"AAPL"
Start of the date window, inclusive. Format: YYYY-MM-DD (e.g. 2024-01-01).
Example:
"2024-01-01"
End of the date window, inclusive. Format: YYYY-MM-DD (e.g. 2024-12-31).
Example:
"2024-12-31"
Was this page helpful?